UG二次开发 创建圆柱和简单孔UF_MODL_create_simple_hole

本实例主要实现了通过ufun创建圆柱和简单孔,主要使用了一下几个ufun函数:

theUFSession.Modl.CreateCyl1  创建圆柱

theUFSession.Modl.AskFeatFaces  获取面列表

theUFSession.Modl.CreateSimpleHole  创建简单孔

最终实现效果图如下:

 一、主程序

先看实现简单孔的主程序如下:

using System;
using NXOpen;
using NXOpen.UF;
using NxLibrary;

public class Program
{
    private static Session theSession;
    private static UFSession theUFSession;
    public static Program theProgram;
    private static UI theUI = null;
    public static int Main(string[] args)
    {
        theUI = UI.GetUI();
        int retValue = 0;
        try
        {
            #region 简单孔
            double[] origin = new double[3] { 0.0, 0.0, 0.0 };
            double[] direction = new double[3] { 0.0, 0.0, 1.0 };
            string height 
评论 1
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

MarcoPro

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值